# Course Format

Lectures will be loosely organized around four modules: differential privacy,
cryptography, language-based security, and adversarial machine learning. The
instructor will give most of the lectures for the first module, on differential
privacy. For each of the remaining modules, the instructor will give the first
lecture introducing the topic and background material. Then, each student will
lead one lecture, presenting a paper and guiding the discussion.  

The topics we will be reading and thinking about are from the recent research
literature---polished enough to be peer-reviewed and published, but not always
completely refined. Given that this is a graduate course, not all lectures are
set in stone and there is some flexibility in the choice of topics. Students
with interested in specific topics not covered in the syllabus should feel free
to contact the instructor.  

## Readings and Homework

The bulk of this course consists of reading research papers. Before every
lecture presenting a paper, students are expected to read the paper closely and
understand its significance, including (a) the problem addressed by the paper,
(b) the main contributions of the paper, and (c) how the authors solve the
problem in some technical detail.  

The instructor will also send out 2-3 questions before every paper presentation.
Students will submit brief answers---no more than 1-2 paragraphs per
question---before the lecture. These questions are meant to make sure you have
understood the paper at a high level and prepare for the discussion in class,
they are not meant to be very difficult or time-consuming.

## Course Project

Students will work individually or in pairs on a topic of their choice,
producing a conference-style write-up and presenting their project at the end of
the semester. This project should have the potential to turn into a research
paper or survey. Details can be found [here](projects/details.md).
